Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Test-Class CPAN distribution.

Report information
The Basics
Id:
38424
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
MARKSTOS [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Wishlist
Broken in:
0.30
Fixed in:
(no value)



Subject: IO::File dependency could be reduced to 1.09
Today I observed that IO::File is only used in the test suite of Test::Class, and that all these uses pass with an older version. I tested with 1.09. Lowering the required version in Build.PL may make Test::Class accessible to more cases. For me, I noticed that IO::File has an XS component, and I wanted to use Test::Class in a project where we check our CPAN modules into source control, and then use them across multiple architectures. So, XS modules that are compiled for each platform are a headache, and are nice to avoiding adding and installing them if necessary. Since Test::Class doesn't actually need IO::File to run, it would be nice to depend on as old a version as possible. Thanks! Mark
A rather belated "Good point" :-) Fixed in 0.31 - on its way to CPAN now. Adrian


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.